Address Verification - Sandbox

Address Verification

1.0.0OAS 3.0

Validates and standardizes a submitted address against authoritative postal and geographic data, returning a corrected/standardized format.

API Base URL
  • Server 1:https://api-test.vitu.com/address/api/rest
Security
oneVituOauth (oauth2)

OAuth 2.0 client credentials grant https://tools.ietf.org/html/rfc6749#section-4.4

Additional Information

Address Service

REST API Address Service

Validate Address

Validate Address.

put
https://api-test.vitu.com/address/api/rest/address/validate

Body

application/json

address

Address

citystring

<= 500 characters

statestring

<= 2 characters

street1string

<= 500 characters

street2string

<= 500 characters

zipstring

<= 500 characters

zipExtstring

<= 500 characters

Response

*/*

OK

AddressValidationResultDTO

addressobject
Show Child Parameters
correctionsarray[string]

Allowed values:ZIP_CHANGEDCITY_OR_STATE_CHANGEDDELIVERY_ADDRESS_CHANGEDSTREET_NAME_SPELLING_CHANGEDDELIVERY_ADDRESS_STANDARDIZEDCITY_ABBREVIATEDADDRESS_ABBREVIATED

<= 500 items

errorOrWarningMessagestring

<= 500 characters

messageIsErrorboolean
put/address/validate

Body

{}
 
*/*